---
name: Checkout test
on:
  push:
    branches:
      - main
jobs:
  test:
    runs-on: self-hosted
    steps:
      - name: Checkout
        uses: actions/checkout@v4
      - name: Verify checkout
        shell: bash
        run: |
          set -e
          echo "PWD: $(pwd)"
          echo "Files:"
          ls -la
          echo "Commit:"
          git rev-parse HEAD
